CVC4::DatatypeHashFunction Struct Reference

A hash function for Datatypes. More...

`#include <datatype.h>`

## Public Member Functions

size_t | operator() (const Datatype &dt) const
size_t | operator() (const Datatype *dt) const
size_t | operator() (const DatatypeConstructor &dtc) const
size_t | operator() (const DatatypeConstructor *dtc) const

## Detailed Description

A hash function for Datatypes.

Needed to store them in hash sets and hash maps.

Definition at line 635 of file datatype.h.

## Member Function Documentation

## operator()() [1/4]

size_t CVC4::DatatypeHashFunction::operator() | ( | const Datatype & | dt | ) | const

inline

Definition at line 636 of file datatype.h.

References CVC4::Datatype::getName().

## operator()() [2/4]

size_t CVC4::DatatypeHashFunction::operator() | ( | const Datatype * | dt | ) | const

inline

Definition at line 639 of file datatype.h.

References CVC4::Datatype::getName().

## operator()() [3/4]

size_t CVC4::DatatypeHashFunction::operator() | ( | const DatatypeConstructor & | dtc | ) | const

inline

Definition at line 642 of file datatype.h.

References CVC4::DatatypeConstructor::getName().

## operator()() [4/4]

size_t CVC4::DatatypeHashFunction::operator() | ( | const DatatypeConstructor * | dtc | ) | const

inline

Definition at line 645 of file datatype.h.

References CVC4::DatatypeConstructor::getName().

The documentation for this struct was generated from the following file:

- src/util/datatype.h